%bcond_without	uclibc

Summary:	Administrative utilities for the XFS filesystem
Name:		xfsdump
Version:	3.1.0
Release:	2
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	attr-devel
BuildRequires:	pkgconfig(ext2fs) 
BuildRequires:	xfsprogs-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	libtool
BuildRequires:	gettext-devel
%if %{with uclibc}
BuildRequires:	uClibc-devel >= 0.9.33.2-16
%endif

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%package -n	uclibc-%{name}
Summary:	Administrative utilities for the XFS filesystem (uClibc build)
Group:		System/Kernel and hardware

%description -n	uclibc-%{name}
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q
%if %{with uclibc}
mkdir .uclibc
pushd .uclibc
cp -a ../* .
popd
%endif

# make it lib64 aware, better make a patch?
#perl -pi -e "/(libuuid|pkg_s?lib_dir)=/ and s|/lib\b|/%{_lib}|;" configure

%build
%if %{with uclibc}
pushd .uclibc
%uclibc_configure \
		OPTIMIZER="%{uclibc_cflags}" \
		--enable-gettext=yes
%make DEBUG="-DNDEBUG"
popd
%endif

%configure2_5x	OPTIMIZER="%{optflags}" \
		--enable-gettext=yes
%make DEBUG="-DNDEBUG"

%install
%if %{with uclibc}
make install DIST_ROOT=%{buildroot} -C .uclibc
# something is fudged here..
rm %{buildroot}%{uclibc_root}%{_sbindir}/xfs{dump,restore}
install -m755 .uclibc/dump/xfsdump -D %{buildroot}%{uclibc_root}/sbin/xfsdump
install -m755 .uclibc/restore/xfsrestore -D %{buildroot}%{uclibc_root}/sbin/xfsrestore

# for coherency
ln %{buildroot}%{uclibc_root}/sbin/{xfsdump,dump.xfs}
ln %{buildroot}%{uclibc_root}/sbin/{xfsrestore,restore.xfs}
%endif

make install DIST_ROOT=%{buildroot}

# nuke files already packaged as %doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/

# for coherency, rename xfsdump|xfsrestore to dump|restore.xfs
ln %{buildroot}/sbin/{xfsdump,dump.xfs}
ln %{buildroot}/sbin/{xfsrestore,restore.xfs}
ln -sf xfsdump.8%{_extension} %{buildroot}%{_mandir}/man8/dump.xfs.8%{_extension}
ln -sf xfsrestore.8%{_extension} %{buildroot}%{_mandir}/man8/restore.xfs.8%{_extension}

%files
%doc doc/CHANGES.gz doc/COPYING doc/INSTALL doc/README.xfsdump
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*

%files -n uclibc-%{name}
%{uclibc_root}/sbin/*
%{uclibc_root}%{_sbindir}/*


%changelog
* Sun Oct 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.1.0-2
+ Revision: 820237
- use pkgconfig() deps for buildrequires
- enable gettext support
- use hardlinks rather than symlinks for binaries
- do uclibc build
- drop no longer needed dependency on dmapi

* Sat Apr 28 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.1.0-1
+ Revision: 794249
- version update 3.1.0

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 3.0.4-3
+ Revision: 671315
- mass rebuild

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.4-2mdv2011.0
+ Revision: 608208
- rebuild

* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 3.0.4-1mdv2010.1
+ Revision: 505168
- Update to new version 3.0.4

* Wed May 06 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.1-1mdv2010.0
+ Revision: 372682
- Update to new version 3.0.1
- Don't run aclocal and autoconf: it breaks build and is not needed

* Thu Feb 05 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 337896
- Update to new version 3.0.0
- Drop format string patch, not needed anymore

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.48-3mdv2009.1
+ Revision: 317971
- fix build with -Werror=format-security (P0)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.2.48-2mdv2009.0
+ Revision: 226040
- rebuild

* Mon Feb 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.48-1mdv2008.1
+ Revision: 165618
- New upstream version
- Remove patch applied upstream

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Thierry Vignaud <tv@mandriva.org> 2.2.42-4mdv2008.0
+ Revision: 72077
- patch 0: fix CVE-2007-2654 (#31522)


* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.42-3mdv2007.0
+ Revision: 131817
- commented perl regexp in %%setup section as configure file is not yet created at that stage.
- Import xfsdump

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.42-2mdv2007.0
- Rebuild

* Sat Aug 26 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.42-1mdv2007.0
- Release 2.2.42.

* Sun Jul 09 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.38-1mdv2007.0
- Release 2.2.38.

* Sat May 06 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.33-1mdk
- Release 2.2.33.

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.30-3mdk
- add BuildRequires: libtool

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.30-2mdk
- Rebuild

* Wed Aug 03 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.2.30-1mdk
- 2.2.30.
- Renamed xfsdump|xfsrestore to dump|restore.xfs (pixel).
- Removed Patch0 (merged upstream).

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.21-2mdk
- Patch 0 : Fix build with Gcc4

* Sun May 23 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.21-1mdk
- 2.2.21.

* Fri Apr 30 2004 Juan Quintela <quintela@mandrakesoft.com> 2.2.19-1mdk
- 2.2.19.

